| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::THM1176Types::sInputTrigger< ParmType > Struct Template Reference

Input trigger parameter. More...

`#include <THM1176Types.h>`

Inheritance diagram for MTL::Instrument::THM1176Types::sInputTrigger< ParmType >:
[legend]

## Public Member Functions
| sInputTrigger (eInputTriggerSource Src={ }, ParmType< F64 > Per={ }, ParmType< U16 > Cnt={ })
| Constructor.
void | clear (void)
| Clear to default.
bool | operator== (sInputTrigger other) const
| Equality operator.
bool | operator!= (sInputTrigger other) const
| Inequality operator.

## Public Attributes
eInputTriggerSource | Source { }
| Trigger source.
ParmType< F64 > | Period_s { }
| Trigger period, for timed trigger.
ParmType< U16 > | Count { }
| Trigger count: take this many measurements before sending results.

## Detailed Description

template<template< class > class ParmType>
struct MTL::Instrument::THM1176Types::sInputTrigger< ParmType >

Input trigger parameter.

Template Parameters

  ParmType | uParm for value only, or sBoundedParm for value/min/max/default

Definition at line 425 of file THM1176Types.h.

## Constructor & Destructor Documentation

## ◆ sInputTrigger()

template<template< class > class ParmType>

MTL::Instrument::THM1176Types::sInputTrigger< ParmType >::sInputTrigger | ( | eInputTriggerSource | Src = { },
|  | ParmType< F64 > | Per = { },
|  | ParmType< U16 > | Cnt = { } )
| inline

Constructor.

Parameters

  [in] | Src | Trigger source.
  [in] | Per | Trigger period.
  [in] | Cnt | Trigger count.

Definition at line 436 of file THM1176Types.h.

## Member Function Documentation

## ◆ clear()

template<template< class > class ParmType>

void MTL::Instrument::THM1176Types::sInputTrigger< ParmType >::clear | ( | void |  | ) |
| inline

Clear to default.

Definition at line 439 of file THM1176Types.h.

## ◆ operator!=()

template<template< class > class ParmType>

bool MTL::Instrument::THM1176Types::sInputTrigger< ParmType >::operator!= | ( | sInputTrigger< ParmType > | other | ) | const
| inline

Inequality operator.

Definition at line 453 of file THM1176Types.h.

## ◆ operator==()

template<template< class > class ParmType>

bool MTL::Instrument::THM1176Types::sInputTrigger< ParmType >::operator== | ( | sInputTrigger< ParmType > | other | ) | const
| inline

Equality operator.

Definition at line 445 of file THM1176Types.h.

## Member Data Documentation

## ◆ Count

template<template< class > class ParmType>

ParmType<U16> MTL::Instrument::THM1176Types::sInputTrigger< ParmType >::Count { }

Trigger count: take this many measurements before sending results.

Definition at line 429 of file THM1176Types.h.

## ◆ Period_s

template<template< class > class ParmType>

ParmType<F64> MTL::Instrument::THM1176Types::sInputTrigger< ParmType >::Period_s { }

Trigger period, for timed trigger.

Definition at line 428 of file THM1176Types.h.

## ◆ Source

template<template< class > class ParmType>

eInputTriggerSource MTL::Instrument::THM1176Types::sInputTrigger< ParmType >::Source { }

Trigger source.

Definition at line 427 of file THM1176Types.h.

The documentation for this struct was generated from the following file:

- THM1176InstrumentDriver/include/THM1176Types.h